org.apache.lucene.queryparser.xml.builders

## Interface SpanQueryBuilder

- All Superinterfaces:
    QueryBuilder
  All Known Implementing Classes:
    BoostingTermBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder

      public interface SpanQueryBuilder
      extends QueryBuilder

  Interface for retrieving a `SpanQuery`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanQuery` | `getSpanQuery(Element e)`

    - ### Methods inherited from interface org.apache.lucene.queryparser.xml.QueryBuilder

      `getQuery`

- - ### Method Detail

    - #### getSpanQuery

          SpanQuery getSpanQuery(Element e)
                                 throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.